# Random (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.transport.random
Interface Random

All Known Implementing Classes:
  BouncyCastleRandom, JCERandom, SingletonRandomFactory

    public interface Random

A pseudo random number generator.

Method Summary
`void` `fill(byte[] bytes, int start, int len)` Fill part of bytes with random values.

Method Detail

### fill

    void fill(byte[] bytes,
              int start,
              int len)

  Fill part of bytes with random values.

  Parameters:
    `bytes` - byte array to be filled.
    `start` - index to start filling at.
    `len` - length of segment to fill.

Copyright © 2009-2011. All Rights Reserved.